org.codehaus.groovy.tools

## Class GroovyClass

- java.lang.Object
- - org.codehaus.groovy.tools.GroovyClass

    public class GroovyClass
    extends Object

### Field Summary

Fields
`static GroovyClass[]` `EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`GroovyClass(String name, byte[] bytes)`

### Method Summary

Methods
`byte[]` `getBytes()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_ARRAY

    public static final GroovyClass[] EMPTY_ARRAY

### Constructor Detail

#### GroovyClass

    public GroovyClass(String name,
               byte[] bytes)

### Method Detail

#### getName

    public String getName()

#### getBytes

    public byte[] getBytes()